Subject: [bug#29574] Fwd: [PATCH] Add Krita to guix

From: Kei Kebreau <[email-masked]>
Date: Tue, 12 Dec 2017 21:51:00 -0500

Mark Meyer <[email-masked]> writes:

> Hi Kei,
> Poppler was an easy target, it just pointed to the wrong package. JPEG
> requires some more packaging and EXR some thought. Meanwhile the
> attached patch should be ok.
>
> Cheers, Mark
>
> On Sun, Dec 10, 2017, at 20:32, Kei Kebreau wrote:
>> Mark Meyer <[email-masked]> writes:
>> 
>> > On Tue, Dec 5, 2017, at 02:26, Mark Meyer wrote:
>> >> Second  try.
>> >> 
>> >> I disabled all tests, since these required an X11 display to be present.
>> >> It's running now. I created a new file and saved the output. Looks good.
>> >> 
>> >> Please find the patch attached.
>> >> 
>> >> Lints fine, but I didn't test if this is reproducible, since the build
>> >> is taking a very long time (even with all tests disabled).
>> >> 
>> >> Cheers, Mark
>> >> 
>> >> -- 
>> >>   Mark Meyer
>> >>   [email-masked]
>> 
>> Hi Mark,
>> 
>> I built this package twice and it is reproducible! I've moved some
>> inputs to native-inputs in the attached patch because they didn't show
>> up as requisites for krita (i.e. I ran 'guix gc -R
>> /gnu/store/...-krita-3.3.2.1'
>> to find this out).
>> 
>> Please tell me if this build works properly for you as it seems to for
>> me.
>> 
>> Thanks,
>> Kei
>> 
>> Email had 2 attachments:
>> + 0001-gnu-Add-krita.patch
>>   5k (text/plain)
>> + signature.asc
>>   1k (application/pgp-signature)

Great, LGTM. I added some detail to the description and pushed it to master, so you can close this bug.

Also, please be sure to follow our change log conventions, which are
something like these[0]. When in doubt, copy from a recent change log
for a change similar to yours from our repo. Most of the time this works
without a problem.

Thanks,
Kei

[0]: https://www.gnu.org/prep/standards/html_node/Style-of-Change-Logs.html